﻿Main := Gui("", "ListView & Colors")
Main.MarginX := 20
Main.MarginY := 20
Header := ["Column 1", "Column 2", "Column 3", "Column 4", "Column 5", "Column 6"]
MainLV := Main.AddListView("w600 r15 cBlue Grid -ReadOnly", Header)
Loop 256
   MainLV.Add("", "Value " . A_Index, "Value " . A_Index, "Value " . A_Index, "Value " . A_Index, "Value " . A_Index,
              "Value " . A_Index)
Loop MainLV.GetCount("Column")
   MainLV.ModifyCol(A_Index, 95)
; Create a new instance of LV_Colors
CLV := LV_Colors(MainLV, 0, 0, 0)
CLV.Critical := 100
If !IsObject(CLV) {
   MsgBox("Couldn't create a new LV_Colors object!", "ERROR")
   ExitApp
}
; Set the colors for selected rows
CLV.SelectionColors(0xF0F0F0)
Main.AddCheckBox("w120 vColorsOn Checked", "Colors On").OnEvent("Click", ShowColors)
Main.AddRadio("x+0 yp wp vNone Checked", "No Colors").OnEvent("Click", WhichColors)
Main.AddRadio("x+0 yp wp vColors", "Colors").OnEvent("Click", WhichColors)
Main.OnEvent("Close", MainClose)
Main.OnEvent("Escape", MainClose)
Main.Show()
; ----------------------------------------------------------------------------------------------------------------------
MainClose(*) {
   Main.Destroy()
   ExitApp
}
; ----------------------------------------------------------------------------------------------------------------------
ShowColors(Ctl, *) {
   CLV.ShowColors(Ctl.Value)
   MainLV.Focus()
}
; ----------------------------------------------------------------------------------------------------------------------
WhichColors(Ctl, *) {
   MainLV.Opt("-Redraw")
   CLV.Clear()
   Switch Ctl.Name {
      Case "Colors":
         SetColors(CLV)
   }
   MainLV.Opt("+Redraw")
   MainLV.Focus()
}
; ----------------------------------------------------------------------------------------------------------------------
SetColors(CLV) {
   Loop CLV.LV.GetCount() {
      CLV.Cell(A_Index, A_Index & 1 ? 1 : 2, 0x808080, 0xFFFFFF)
      CLV.Cell(A_Index, A_Index & 1 ? 3 : 4, 0x808080, 0xFFFFFF)
      CLV.Cell(A_Index, A_Index & 1 ? 5 : 6, 0x808080, 0xFFFFFF)
   }
}
; ----------------------------------------------------------------------------------------------------------------------
#Include Class_LV_Colors.ahk